Assignments Assignments

Classes | Macros | Typedefs | Functions
jdcolor.cpp File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

## Classes
struct | my_color_deconverter

## Macros
#define | JPEG_INTERNALS
#define | SCALEBITS 16 /* speediest right-shift on some machines */
#define | ONE_HALF ((INT32) 1 << (SCALEBITS-1))
#define | FIX(x)

## Typedefs
typedef my_color_deconverter * | my_cconvert_ptr

## Functions
| build_ycc_rgb_table (j_decompress_ptr cinfo)
| ycc_rgb_convert (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION input_row, JSAMPARRAY output_buf, int num_rows)
| null_convert (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION input_row, JSAMPARRAY output_buf, int num_rows)
| grayscale_convert (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION input_row, JSAMPARRAY output_buf, int num_rows)
| gray_rgb_convert (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION input_row, JSAMPARRAY output_buf, int num_rows)
| ycck_cmyk_convert (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION input_row, JSAMPARRAY output_buf, int num_rows)
| start_pass_dcolor (j_decompress_ptr cinfo)
| jinit_color_deconverter (j_decompress_ptr cinfo)

## Macro Definition Documentation

## ◆ FIX

#define FIX | ( |  | x | ) |

Value:
((INT32) ((x) * (1L<<SCALEBITS) + 0.5))
SCALEBITS
#define SCALEBITS
Definition jccolor.cpp:58
INT32
long INT32
Definition jmorecfg.h:161

## ◆ JPEG_INTERNALS

#define JPEG_INTERNALS

## ◆ ONE_HALF

#define ONE_HALF ((INT32) 1 << (SCALEBITS-1))

## ◆ SCALEBITS

#define SCALEBITS 16 /* speediest right-shift on some machines */

## Typedef Documentation

## ◆ my_cconvert_ptr

typedef my_color_deconverter* my_cconvert_ptr

## Function Documentation

## ◆ build_ycc_rgb_table()

build_ycc_rgb_table | ( | j_decompress_ptr | cinfo | ) |

## ◆ gray_rgb_convert()

gray_rgb_convert | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | input_row,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows )

## ◆ grayscale_convert()

grayscale_convert | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | input_row,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows )

## ◆ jinit_color_deconverter()

jinit_color_deconverter | ( | j_decompress_ptr | cinfo | ) |

## ◆ null_convert()

null_convert | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | input_row,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows )

## ◆ start_pass_dcolor()

start_pass_dcolor | ( | j_decompress_ptr | cinfo | ) |

## ◆ ycc_rgb_convert()

ycc_rgb_convert | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | input_row,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows )

## ◆ ycck_cmyk_convert()

ycck_cmyk_convert | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | input_row,
|  | JSAMPARRAY | output_buf,
|  | int | num_rows )